Index: contrib/crossrpms/gcc/build.add
===================================================================
--- contrib/crossrpms/gcc/build.add	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/gcc/build.add	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -31,5 +31,5 @@
 
   CC="%{__cc} ${RPM_OPT_FLAGS}" \
-  ../gcc-%{gcc_version}/configure \
+  ../gcc-%{gcc_pkgvers}/configure \
     --prefix=%{_prefix} \
     --bindir=%{_bindir} \
Index: contrib/crossrpms/gcc/gccnewlib.add
===================================================================
--- contrib/crossrpms/gcc/gccnewlib.add	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/gcc/gccnewlib.add	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -1,5 +1,5 @@
 
-%define gcc_pkgvers @GCC_VERS@
-%define gcc_version %{expand:%(echo "@GCC_VERS@" | sed -e 's,-.*,,')}
+%define gcc_pkgvers @GCC_PKGVERS@
+%define gcc_version @GCC_VERS@
 %define gcc_rpmvers %{expand:%(echo "@GCC_VERS@" | tr - _ )}
 
Index: contrib/crossrpms/gcc/prep.add
===================================================================
--- contrib/crossrpms/gcc/prep.add	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/gcc/prep.add	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -36,5 +36,5 @@
 cd ..
   # Copy the C library into gcc's source tree
-  ln -s ../newlib-%{newlib_version}/newlib gcc-%{gcc_version}
+  ln -s ../newlib-%{newlib_version}/newlib gcc-%{gcc_pkgvers}
 %endif
 
@@ -42,5 +42,5 @@
 
   # Fix timestamps
-  cd gcc-%{gcc_version}
+  cd gcc-%{gcc_pkgvers}
   contrib/gcc_update --touch
   cd ..
Index: contrib/crossrpms/rtems4.8/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/arm/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/arm/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 4.1.1
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
Index: contrib/crossrpms/rtems4.8/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/avr/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/avr/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,8 +10,9 @@
 
 GCC_VERS = 4.0.3
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
 include ../gcc.am
-GCC_OPTS +=
+GCC_OPTS += --disable-infos
 
 GDB_VERS = 6.5
Index: contrib/crossrpms/rtems4.8/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/bfin/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -9,12 +9,11 @@
 include ../binutils.am
 
-GCC_VERS = 4.1.1
-GCC_RPMREL = 2
+GCC_VERS = 4.2.0
+GCC_PKGVERS = 4.2-20061031
+GCC_RPMREL = 3
 NEWLIB_VERS = 1.14.0
 include ../gcc.am
-## GCC_OPTS += --languages=cxx
-## I really would like to get these options passed through but do not 
-## know how yet.  So I am building with this command.
-## optargs="--disable-libssp --disable-libstdcxx-pch" rpmbuild -ba XXX.spec
+# ATM, we don't want info's from bleeding edge GCC
+GCC_OPTS += --disable-infos
 
 GDB_VERS = 6.5
Index: contrib/crossrpms/rtems4.8/gcc-prep.add
===================================================================
--- contrib/crossrpms/rtems4.8/gcc-prep.add	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/gcc-prep.add	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -1,9 +1,9 @@
 %if "%{gcc_version}" < "4.1.0"
   sed -e 's/\(version_string.* = \"[^\"]*\)/\1 (RTEMS gcc-%{gcc_version}\/newlib-%{newlib_version}-%release)/' \
-  gcc-%{gcc_version}/gcc/version.c > gcc-%{gcc_version}/gcc/version.c~
+  gcc-%{gcc_pkgvers}/gcc/version.c > gcc-%{gcc_pkgvers}/gcc/version.c~
 %else
   sed -e 's/^#define VERSUFFIX.*$/#define VERSUFFIX \" (RTEMS gcc-%{gcc_version}\/newlib-%{newlib_version}-%{release})\"/' \
-    gcc-%{gcc_version}/gcc/version.c > gcc-%{gcc_version}/gcc/version.c~
+    gcc-%{gcc_pkgvers}/gcc/version.c > gcc-%{gcc_pkgvers}/gcc/version.c~
 %endif
-  mv gcc-%{gcc_version}/gcc/version.c~ gcc-%{gcc_version}/gcc/version.c
+  mv gcc-%{gcc_pkgvers}/gcc/version.c~ gcc-%{gcc_pkgvers}/gcc/version.c
 
Index: contrib/crossrpms/rtems4.8/gcc.am
===================================================================
--- contrib/crossrpms/rtems4.8/gcc.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/gcc.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -27,4 +27,5 @@
 	  -e "/[@]PREP[@]/d" \
 	  -e "s/[@]GCC_VERS[@]/$(GCC_VERS)/g" \
+	  -e "s/[@]GCC_PKGVERS[@]/$(GCC_PKGVERS)/g" \
 	  -e "s/[@]GCC_RPMREL[@]/$(GCC_RPMREL)/g" \
 	  -e "s/[@]NEWLIB_VERS[@]/$(NEWLIB_VERS)/g" \
Index: contrib/crossrpms/rtems4.8/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/h8300/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 4.1.1
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
Index: contrib/crossrpms/rtems4.8/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/i386/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/i386/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 4.1.1
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
Index: contrib/crossrpms/rtems4.8/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/m68k/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 4.1.1
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
Index: contrib/crossrpms/rtems4.8/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/mips/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/mips/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 4.1.1
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
Index: contrib/crossrpms/rtems4.8/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/powerpc/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 4.1.1
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
Index: contrib/crossrpms/rtems4.8/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/sh/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/sh/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 4.1.1
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
Index: contrib/crossrpms/rtems4.8/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/sparc/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 4.1.1
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0
Index: contrib/crossrpms/rtems4.8/tic4x/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.8/tic4x/Makefile.am	(revision 7f590796161835e3ac3408e1c1a19dbe98ad55a4)
+++ contrib/crossrpms/rtems4.8/tic4x/Makefile.am	(revision 615b6c9fc836a65076158652ed10ada058d0cb40)
@@ -10,4 +10,5 @@
 
 GCC_VERS = 3.4.6
+GCC_PKGVERS = $(GCC_VERS)
 GCC_RPMREL = 2
 NEWLIB_VERS = 1.14.0