Index: c/src/lib/libbsp/m68k/dmv152/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/dmv152/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/dmv152/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -41,5 +41,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/gen68302/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/gen68302/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -44,5 +44,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/gen68340/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/gen68340/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -47,5 +47,5 @@
 noinst_PROGRAMS += console.rel
 console_rel_SOURCES = console/Modif_cpu_asm.S console/console.c \
-    console/m340uart.c
+    console/m340uart.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/gen68360/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/gen68360/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -43,5 +43,6 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c console/consolereserveresources.c
+console_rel_SOURCES = console/console.c console/consolereserveresources.c \
+    ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/idp/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/idp/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/idp/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/idp/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -43,5 +43,5 @@
 noinst_PROGRAMS += console.rel
 console_rel_SOURCES = console/console.c console/leds.c console/mc68ec.c \
-    console/duart.c
+    console/duart.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -47,5 +47,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/mvme136/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme136/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mvme136/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -42,5 +42,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/mvme147/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme147/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mvme147/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -42,5 +42,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/mvme147s/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme147s/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -42,5 +42,6 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = ../mvme147/console/console.c
+console_rel_SOURCES = ../mvme147/console/console.c \
+    ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/mvme162/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme162/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -19,5 +19,6 @@
 # wrapup is the one that actually builds and installs the library
 # from the individual .rel files built in other directories
-SUBDIRS = . tools
+# XXX ignore tools since it doesn't build
+SUBDIRS = .
 
 include_HEADERS += ../../shared/tod.h
@@ -50,5 +51,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/m68k/ods68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/ods68302/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/m68k/ods68302/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -57,5 +57,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/powerpc/gen405/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen405/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/powerpc/gen405/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/powerpc/gen405/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen405/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/powerpc/gen405/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -26,5 +26,5 @@
     ../../shared/bsppost.c startup/bspstart.c ../../shared/bootcard.c \
     ../../shared/main.c ../../shared/sbrk.c startup/setvec.c \
-    ../../shared/gnatinstallhandler.c
+    ../../shared/gnatinstallhandler.c ../../shared/dummy_printk_support.c
 startup_rel_CPPFLAGS = $(AM_CPPFLAGS)
 startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/powerpc/helas403/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/powerpc/helas403/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/powerpc/helas403/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/powerpc/helas403/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -38,5 +38,5 @@
     ../../shared/bsppost.c startup/bspstart.c ../../shared/bootcard.c \
     ../../shared/main.c ../../shared/sbrk.c startup/setvec.c \
-    ../../shared/gnatinstallhandler.c
+    ../../shared/gnatinstallhandler.c ../../shared/dummy_printk_support.c
 startup_rel_CPPFLAGS = $(AM_CPPFLAGS)
 startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/sh/gensh1/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/sh/gensh1/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh1/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/gensh1/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -49,5 +49,6 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = ../../sh/shared/console.c
+console_rel_SOURCES = ../../sh/shared/console.c \
+    ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/sh/gensh2/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/sh/gensh2/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh2/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/gensh2/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -49,5 +49,6 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = ../../sh/shared/console.c console/config.c
+console_rel_SOURCES = ../../sh/shared/console.c console/config.c \
+    ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/sh/gensh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh4/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/gensh4/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/sh/gensh4/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh4/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/gensh4/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -38,5 +38,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libbsp/sh/shsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/shsim/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/shsim/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/sh/shsim/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/shsim/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/shsim/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -62,5 +62,6 @@
 #
 noinst_PROGRAMS += trap34.rel
-trap34_rel_SOURCES = trap34/console-io.c trap34/console-support.S
+trap34_rel_SOURCES = trap34/console-io.c trap34/console-support.S \
+    ../../shared/dummy_printk_support.c
 trap34_rel_CPPFLAGS = $(AM_CPPFLAGS)
 trap34_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
@@ -73,5 +74,6 @@
 noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
-libbsp_a_LIBADD = startup.rel clock.rel console.rel gdbsci.rel scitab.rel
+libbsp_a_LIBADD = startup.rel clock.rel console.rel gdbsci.rel scitab.rel \
+    trap34.rel
 libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/@RTEMS_CPU_MODEL@/score.rel
 
Index: c/src/lib/libbsp/sh/simsh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -1,2 +1,6 @@
+2007-04-02	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am: Add dummy printk support so all tests link.
+
 2006-12-02	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/sh/simsh4/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/simsh4/Makefile.am	(revision 1e99524efec0872ee78834617dedc44b819f4751)
+++ c/src/lib/libbsp/sh/simsh4/Makefile.am	(revision 625ef85d6a7a1e2d7e219f6759cf3e375d32cb0e)
@@ -43,5 +43,5 @@
 
 noinst_PROGRAMS += console.rel
-console_rel_SOURCES = console/console.c
+console_rel_SOURCES = console/console.c ../../shared/dummy_printk_support.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)