Index: rsb/history.rst
===================================================================
--- rsb/history.rst	(revision 633a24fc69b2ab5724fc00f6075b8f7baa43dd52)
+++ rsb/history.rst	(revision 633a24fc69b2ab5724fc00f6075b8f7baa43dd52)
@@ -0,0 +1,26 @@
+.. SPDX-License-Identifier: CC-BY-SA-4.0
+
+.. Copyright (C) 2012, 2016 Chris Johns <chrisj@rtems.org>
+
+
+History
+=======
+
+The RTEMS Source Builder is a stand alone tool based on another tool called the
+*SpecBuilder* written by Chris Johns. The *SpecBuilder* was written around 2010
+for the RTEMS project to provide Chris with a way to build tools on hosts that
+did not support RPMs. At the time the RTEMS tools maintainer only supported
+*spec* files and these files held all the vital configuration data needed to
+create suitable tool sets. The available SRPM and *spec* files by themselves
+where of little use because a suitable ``rpm`` tool was needed to use them. At
+the time the available versions of ``rpm`` for a number of non-RPM hosts were
+broken and randomly maintained. The solution Chris settled on was to use the
+*spec* files and to write a Python based tool that parsed the *spec* file
+format creating a shell script that could be run to build the package. The
+approach proved successful and Chris was able to track the RPM version of the
+RTEMS tools on a non-RPM host for a number of years.
+
+The *SpecBuilder* tool did not build tools or packages unrelated to the RTEMS
+Project where no suitable *spec* file was available so another tool was
+needed. Rather than start again Chris decided to take the parsing code for the
+*spec* file format and build a new tool called the RTEMS Source Builder.
Index: rsb/index.rst
===================================================================
--- rsb/index.rst	(revision e52906b5568c82386781c183f8ae977d61e01d61)
+++ rsb/index.rst	(revision 633a24fc69b2ab5724fc00f6075b8f7baa43dd52)
@@ -25,15 +25,16 @@
 
 .. toctree::
-	:maxdepth: 5
-	:numbered:
+    :maxdepth: 5
+    :numbered:
 
-        source-builder
-        building-tools-and-rtems.rst
-	project-sets
-	cross-canadian-cross
-	third-party-packages
-	configuration
-	commands
-	bug-reporting
+    source-builder
+    building-tools-and-rtems.rst
+    project-sets
+    cross-canadian-cross
+    third-party-packages
+    configuration
+    commands
+    bug-reporting
+    history
 
 * :ref:`genindex`
Index: rsb/source-builder.rst
===================================================================
--- rsb/source-builder.rst	(revision e52906b5568c82386781c183f8ae977d61e01d61)
+++ rsb/source-builder.rst	(revision 633a24fc69b2ab5724fc00f6075b8f7baa43dd52)
@@ -134,26 +134,4 @@
 computing environment.
 
-History
--------
-
-The RTEMS Source Builder is a stand alone tool based on another tool called the
-*SpecBuilder* written by Chris Johns. The *SpecBuilder* was written around 2010
-for the RTEMS project to provide Chris with a way to build tools on hosts that
-did not support RPMs. At the time the RTEMS tools maintainer only supported
-*spec* files and these files held all the vital configuration data needed to
-create suitable tool sets. The available SRPM and *spec* files by themselves
-where of little use because a suitable ``rpm`` tool was needed to use them. At
-the time the available versions of ``rpm`` for a number of non-RPM hosts were
-broken and randomly maintained. The solution Chris settled on was to use the
-*spec* files and to write a Python based tool that parsed the *spec* file
-format creating a shell script that could be run to build the package. The
-approach proved successful and Chris was able to track the RPM version of the
-RTEMS tools on a non-RPM host for a number of years.
-
-The *SpecBuilder* tool did not build tools or packages unrelated to the RTEMS
-Project where no suitable *spec* file was available so another tool was
-needed. Rather than start again Chris decided to take the parsing code for the
-*spec* file format and build a new tool called the RTEMS Source Builder.
-
 Controlling the Tools Build
 ---------------------------