Index: cpukit/posix/src/sempost.c
===================================================================
--- cpukit/posix/src/sempost.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/posix/src/sempost.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -47,5 +47,5 @@
         the_semaphore->Object.id,
 #if defined(RTEMS_MULTIPROCESSING)
-        NULL         /* XXX need to define a routine to handle this case */
+        NULL         /* POSIX Semaphores are local only */
 #else
         NULL
Index: cpukit/rtems/include/rtems/rtems/asr.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/asr.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/asr.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -12,5 +12,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -35,5 +35,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the Classic API Signal
+ *  Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/barriermp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/barriermp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/barriermp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -8,5 +8,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -30,5 +30,6 @@
  *  @ingroup ClassicMP
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the transparent multiprocessing
+ *  support within the Classic API Barrier Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/cache.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/cache.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/cache.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -10,5 +10,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -16,19 +16,4 @@
  * found in the file LICENSE in this distribution or at
  * http://www.rtems.com/license/LICENSE.
- *
- *
- * The functions in this file define the API to the RTEMS Cache Manager and
- * are divided into data cache and instruction cache functions. Data cache
- * functions are only meaningful if a data cache is supported. Instruction
- * cache functions are only meaningful if an instruction cache is supported.
- *
- * The functions below are implemented with CPU dependent support routines
- * implemented as part of libcpu. In the event that a CPU does not support a
- * specific function, the CPU dependent routine does nothing (but does exist).
- *
- * At this point, the Cache Manager makes no considerations, and provides no
- * support for BSP specific issues such as a secondary cache. In such a system,
- * the CPU dependent routines would have to be modified, or a BSP layer added
- * to this Manager.
  */
 
@@ -48,5 +33,17 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  The functions in this file define the API to the RTEMS Cache Manager and
+ *  are divided into data cache and instruction cache functions. Data cache
+ *  functions are only meaningful if a data cache is supported. Instruction
+ *  cache functions are only meaningful if an instruction cache is supported.
+ *
+ *  The functions are implemented with CPU dependent support routines
+ *  implemented as part of libcpu. In the event that a CPU does not support a
+ *  specific function, the CPU dependent routine does nothing (but does exist).
+ *
+ *  At this point, the Cache Manager makes no considerations, and provides no
+ *  support for BSP specific issues such as a secondary cache. In such a system,
+ *  the CPU dependent routines would have to be modified, or a BSP layer added
+ *  to this Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/clock.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/clock.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/clock.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -20,5 +20,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -43,5 +43,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the Classic API Clock
+ *  Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/config.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/config.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/config.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -34,5 +34,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the application's configuration
+ *  of the Classic API including the maximum number of each class of objects.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/eventmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/eventmp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/eventmp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -37,5 +37,6 @@
  *  @ingroup ClassicMP
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the transparent multiprocessing
+ *  support within the Classic API Event Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/intr.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/intr.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/intr.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -35,5 +35,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the Classic API Interrupt
+ *  Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/message.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/message.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/message.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -23,5 +23,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -65,5 +65,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the Classic API Message Queue
+ *  Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/modes.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/modes.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/modes.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -33,5 +33,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the task modes supported
+ *  by the Classic API Task Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/mp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/mp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/mp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -27,5 +27,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the distributed
+ *  Multiprocessing support in the Classic API.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/msgmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/msgmp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/msgmp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -8,5 +8,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -34,5 +34,6 @@
  *  @ingroup ClassicMP
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the transparent multiprocessing
+ *  support within the Classic API Message Queue Manager.
  */
 /*{*/
Index: cpukit/rtems/include/rtems/rtems/object.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/object.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/object.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -10,5 +10,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2011.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -35,5 +35,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the Classic API Object
+ *  Class Services.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/partmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/partmp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/partmp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -8,5 +8,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -34,5 +34,6 @@
  *  @ingroup ClassicMP
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the transparent multiprocessing
+ *  support within the Classic API Partition Manager.
  */
 /*{*/
Index: cpukit/rtems/include/rtems/rtems/region.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/region.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/region.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -20,5 +20,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2009.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -47,5 +47,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the Classic API Region
+ *  Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/regionmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/regionmp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/regionmp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -37,5 +37,6 @@
  *  @ingroup ClassicMP
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the transparent multiprocessing
+ *  support within the Classic API Region Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/semmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/semmp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/semmp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -35,5 +35,6 @@
  *  @ingroup ClassicMP
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the transparent multiprocessing
+ *  support within the Classic API Semaphore Manager.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/signalmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/signalmp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/signalmp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -8,5 +8,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -34,5 +34,6 @@
  *  @ingroup ClassicMP
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the transparent multiprocessing
+ *  support within the Classic API Signal Manager.
  */
 /*{*/
Index: cpukit/rtems/include/rtems/rtems/status.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/status.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/status.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -33,5 +33,6 @@
  *  @ingroup ClassicRTEMS
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the status codes returned
+ *  by Classic API directives.
  */
 /**@{*/
Index: cpukit/rtems/include/rtems/rtems/taskmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/taskmp.h	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/include/rtems/rtems/taskmp.h	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -11,5 +11,5 @@
  */
 
-/* COPYRIGHT (c) 1989-2008.
+/* COPYRIGHT (c) 1989-2013.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -37,5 +37,6 @@
  *  @ingroup ClassicMP
  *
- *  This encapsulates functionality which XXX
+ *  This encapsulates functionality related to the transparent multiprocessing
+ *  support within the Classic API Task Manager.
  */
 /**@{*/
Index: cpukit/rtems/src/region.c
===================================================================
--- cpukit/rtems/src/region.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/region.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -63,5 +63,5 @@
   _MPCI_Register_packet_processor(
     MP_PACKET_REGION,
-    0  /* XXX _Region_MP_Process_packet */
+    0  /* Multiprocessing is not currently supported for Regions */
   );
 #endif
Index: cpukit/rtems/src/rtemsbuildid.c
===================================================================
--- cpukit/rtems/src/rtemsbuildid.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/rtemsbuildid.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,8 @@
 #include <rtems/score/objectimpl.h>
 
-/* XXX: This is for language bindings */
+/*
+ * This is implemented as a macro. This body is provided to support
+ * bindings from non-C based languages.
+ */
 Objects_Id rtems_build_id(
   uint32_t api,
Index: cpukit/rtems/src/rtemsobjectgetname.c
===================================================================
--- cpukit/rtems/src/rtemsobjectgetname.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/rtemsobjectgetname.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,8 @@
 #include <rtems/score/objectimpl.h>
 
-/* XXX: This is for language bindings */
+/*
+ * This is implemented as a macro. This body is provided to support
+ * bindings from non-C based languages.
+ */
 char *rtems_object_get_name(
   Objects_Id     id,
Index: cpukit/rtems/src/rtemsobjectidapimaximum.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidapimaximum.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/rtemsobjectidapimaximum.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,8 @@
 #include <rtems/score/objectimpl.h>
 
-/* XXX: This is for language bindings */
+/*
+ * This is implemented as a macro. This body is provided to support
+ * bindings from non-C based languages.
+ */
 int rtems_object_id_api_maximum(void);
 
Index: cpukit/rtems/src/rtemsobjectidapiminimum.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidapiminimum.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/rtemsobjectidapiminimum.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,8 @@
 #include <rtems/score/objectimpl.h>
 
-/* XXX: This is for language bindings */
+/*
+ * This is implemented as a macro. This body is provided to support
+ * bindings from non-C based languages.
+ */
 int rtems_object_id_api_minimum(void);
 
Index: cpukit/rtems/src/rtemsobjectidgetapi.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidgetapi.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/rtemsobjectidgetapi.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,8 @@
 #include <rtems/score/objectimpl.h>
 
-/* XXX: This is for language bindings */
+/*
+ * This is implemented as a macro. This body is provided to support
+ * bindings from non-C based languages.
+ */
 int rtems_object_id_get_api(
   Objects_Id id
Index: cpukit/rtems/src/rtemsobjectidgetclass.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidgetclass.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/rtemsobjectidgetclass.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,8 @@
 #include <rtems/score/objectimpl.h>
 
-/* XXX: This is for language bindings */
+/*
+ * This is implemented as a macro. This body is provided to support
+ * bindings from non-C based languages.
+ */
 int rtems_object_id_get_class(
   Objects_Id id
Index: cpukit/rtems/src/rtemsobjectidgetindex.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidgetindex.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/rtemsobjectidgetindex.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,8 @@
 #include <rtems/score/objectimpl.h>
 
-/* XXX: This is for language bindings */
+/*
+ * This is implemented as a macro. This body is provided to support
+ * bindings from non-C based languages.
+ */
 int rtems_object_id_get_index(
   Objects_Id id
Index: cpukit/rtems/src/rtemsobjectidgetnode.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidgetnode.c	(revision a0390782dc32de0e6271ddfbf99cf00b7ea7f6c2)
+++ cpukit/rtems/src/rtemsobjectidgetnode.c	(revision 651e3aa8d8216e25d59225da50272c0a1fbcc90d)
@@ -7,5 +7,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2013.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,8 @@
 #include <rtems/score/objectimpl.h>
 
-/* XXX: This is for language bindings */
+/*
+ * This is implemented as a macro. This body is provided to support
+ * bindings from non-C based languages.
+ */
 int rtems_object_id_get_node(
   Objects_Id id