Index: c/src/lib/libbsp/sparc/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 include $(RTEMS_CUSTOM)
Index: c/src/lib/libbsp/sparc/erc32/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 include $(RTEMS_CUSTOM)
Index: c/src/lib/libbsp/sparc/erc32/clock/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/clock/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/clock/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGM=${ARCH}/clock.rel
Index: c/src/lib/libbsp/sparc/erc32/console/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/console/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/console/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGM=${ARCH}/console.rel
Index: c/src/lib/libbsp/sparc/erc32/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/include/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/include/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h
Index: c/src/lib/libbsp/sparc/erc32/start/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/start/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/start/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGMS=${ARCH}/startsis.o
Index: c/src/lib/libbsp/sparc/erc32/startsis/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startsis/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/startsis/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGMS=${ARCH}/startsis.o
Index: c/src/lib/libbsp/sparc/erc32/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startup/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/startup/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../../shared
+VPATH = @srcdir@:@srcdir@/../../../shared
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/sparc/erc32/timer/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/timer/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/timer/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 PGM=${ARCH}/timer.rel
Index: c/src/lib/libbsp/sparc/erc32/tools/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/tools/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/tools/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 include $(RTEMS_CUSTOM)
Index: c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.in	(revision 405829bdbf8b1f93a263a8ea3d1e140cd28a01a6)
+++ c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 BSP_PIECES=startup console clock timer 