Index: cpukit/libcsupport/Makefile.am
===================================================================
--- cpukit/libcsupport/Makefile.am	(revision 53afba1268c9ec94f35d9692a49204ab7ff3e367)
+++ cpukit/libcsupport/Makefile.am	(revision 684e243dd0a102fd7ba6e68721f9930f930a42ff)
@@ -114,6 +114,4 @@
     $(ERROR_C_FILES) $(ASSOCIATION_C_FILES)
 
-libcsupport_a_SOURCES += src/end_profile.c
-
 if UNIX
 libcsupport_a_SOURCES += src/unixlibc.c src/unixlibc_io.c src/hosterr.c
Index: cpukit/rtems/Makefile.am
===================================================================
--- cpukit/rtems/Makefile.am	(revision 53afba1268c9ec94f35d9692a49204ab7ff3e367)
+++ cpukit/rtems/Makefile.am	(revision 684e243dd0a102fd7ba6e68721f9930f930a42ff)
@@ -8,5 +8,4 @@
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
 
-project_lib_LIBRARIES = librtems.a
 noinst_LIBRARIES = librtems.a
 librtems_a_CPPFLAGS = $(AM_CPPFLAGS)
Index: cpukit/sapi/Makefile.am
===================================================================
--- cpukit/sapi/Makefile.am	(revision 53afba1268c9ec94f35d9692a49204ab7ff3e367)
+++ cpukit/sapi/Makefile.am	(revision 684e243dd0a102fd7ba6e68721f9930f930a42ff)
@@ -21,5 +21,4 @@
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
 
-project_lib_LIBRARIES = libsapi.a
 noinst_LIBRARIES = libsapi.a
 libsapi_a_SOURCES = src/debug.c src/extension.c src/extensioncreate.c \
Index: cpukit/score/Makefile.am
===================================================================
--- cpukit/score/Makefile.am	(revision 53afba1268c9ec94f35d9692a49204ab7ff3e367)
+++ cpukit/score/Makefile.am	(revision 684e243dd0a102fd7ba6e68721f9930f930a42ff)
@@ -74,5 +74,4 @@
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
 
-project_lib_LIBRARIES = libscore.a
 noinst_LIBRARIES = libscore.a
 libscore_a_SOURCES =
Index: cpukit/score/src/objectextendinformation.c
===================================================================
--- cpukit/score/src/objectextendinformation.c	(revision 53afba1268c9ec94f35d9692a49204ab7ff3e367)
+++ cpukit/score/src/objectextendinformation.c	(revision 684e243dd0a102fd7ba6e68721f9930f930a42ff)
@@ -54,4 +54,5 @@
   uint32_t          minimum_index;
   uint32_t          index;
+  void             *new_object_block;
 
   /*
@@ -77,4 +78,27 @@
   }
 
+  /*
+   * Allocate the name table, and the objects and if it fails either return or
+   * generate a fatal error depending on auto-extending being active.
+   */
+  
+  new_object_block =
+    _Workspace_Allocate(
+      (information->allocation_size * information->size)
+    );
+  
+  if ( new_object_block == NULL ) {
+    if ( information->auto_extend ) {
+      return;
+    }
+    else {
+      _Internal_error_Occurred(
+        INTERNAL_ERROR_CORE,
+        true,
+        INTERNAL_ERROR_WORKSPACE_ALLOCATION
+      );
+    }
+  }
+  
   /*
    *  If the index_base is the maximum we need to grow the tables.
@@ -113,5 +137,5 @@
     block_count++;
 
-    maximum = information->maximum + information->allocation_size;
+    maximum = (uint32_t) information->maximum + information->allocation_size;
 
     /*
@@ -120,6 +144,14 @@
      *  case of 16-bit Ids, this is only 256 object instances.
      */
-    if ( maximum > OBJECTS_ID_FINAL_INDEX )
+    if ( maximum > OBJECTS_ID_FINAL_INDEX ) {
+      if ( !_Workspace_Free( new_object_block ) ) {
+        _Internal_error_Occurred(
+          INTERNAL_ERROR_CORE,
+          true,
+          INTERNAL_ERROR_WORKSPACE_ALLOCATION
+        );
+      }
       return;
+    }
 
     /*
@@ -132,7 +164,15 @@
     object_blocks = (void**) _Workspace_Allocate( block_size );
 
-    if ( !object_blocks )
+    if ( !object_blocks ) {
+      if ( !_Workspace_Free( new_object_block ) ) {
+        _Internal_error_Occurred(
+          INTERNAL_ERROR_CORE,
+          true,
+          INTERNAL_ERROR_WORKSPACE_ALLOCATION
+        );
+      }
       return;
-
+    }
+    
     /*
      *  Break the block into the various sections.
@@ -198,5 +238,5 @@
     information->inactive_per_block = inactive_per_block;
     information->local_table = local_table;
-    information->maximum = maximum;
+    information->maximum = (Objects_Maximum) maximum;
     information->maximum_id = _Objects_Build_id(
         information->the_api,
@@ -215,22 +255,8 @@
 
   /*
-   *  Allocate the name table, and the objects
-   */
-
-  if ( information->auto_extend ) {
-    information->object_blocks[ block ] =
-      _Workspace_Allocate(
-        (information->allocation_size * information->size)
-      );
-
-    if ( !information->object_blocks[ block ] )
-      return;
-  }
-  else {
-    information->object_blocks[ block ] =
-      _Workspace_Allocate_or_fatal_error(
-        (information->allocation_size * information->size)
-      );
-  }
+   *  Assign the new object block to the object block table.
+   */
+
+  information->object_blocks[ block ] = new_object_block;
 
   /*
@@ -266,4 +292,5 @@
 
   information->inactive_per_block[ block ] = information->allocation_size;
-  information->inactive += information->allocation_size;
+  information->inactive =
+    (Objects_Maximum)(information->inactive + information->allocation_size);
 }